export declare const ZvHjPersonFace: import("../../../commons/utils/typescript").SFCWithInstall<import("vue").DefineComponent<{
    basicOption: {
        type: any;
        required: true;
    };
    sources: {
        type: ArrayConstructor;
        required: true;
    };
    useEvents: {
        type: ArrayConstructor;
        required: true;
    };
    uuid: {
        type: StringConstructor;
        required: true;
    };
}, {
    emit: (event: "on-click", ...args: any[]) => void;
    props: any;
    dataList: import("vue").Ref<any>;
    selectValue: import("vue").Ref<any>;
    ageRange: import("vue").Ref<any>;
    ageRangeList: {
        value: string;
        label: string;
    }[];
    gender: import("vue").Ref<any>;
    genderList: {
        value: string;
        label: string;
    }[];
    glasses: import("vue").Ref<any>;
    glassesList: {
        value: string;
        label: string;
    }[];
    similarity: import("vue").Ref<number>;
    queryImage: import("vue").Ref<any>;
    environments: any;
    uploadReqestUrl: string;
    preUrl: string;
    uploadUrl: import("vue").Ref<string>;
    tokenInfo: any;
    tokenInfoTemp: string;
    uploadHeaders: string | {
        'X-Token': any;
    };
    imageDataStatus: import("vue").Ref<number>;
    currentPageNo: import("vue").Ref<number>;
    pageSize: import("vue").Ref<number>;
    dataCount: import("vue").Ref<number>;
    imageList: import("vue").Ref<any[]>;
    colNum: import("vue").Ref<number>;
    showCaptureDetail: import("vue").Ref<boolean>;
    captureDetail: import("vue").Ref<any>;
    renderDataListFun: () => void;
    search: (pageNo: number) => import("element-plus").MessageHandler;
    reset: () => void;
    handleAvatarSuccess: (res: any) => void;
    beforeAvatarUpload: (file: any) => boolean;
    loadDefaultImg: (event: any) => void;
    chooseCapture: (info: any) => void;
    closeDetail: () => void;
    searchDetail: (searchDetail: any) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "on-click"[], "on-click", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    basicOption: {
        type: any;
        required: true;
    };
    sources: {
        type: ArrayConstructor;
        required: true;
    };
    useEvents: {
        type: ArrayConstructor;
        required: true;
    };
    uuid: {
        type: StringConstructor;
        required: true;
    };
}>> & {
    "onOn-click"?: (...args: any[]) => any;
}, {}, {}>> & Record<string, any>;
export default ZvHjPersonFace;
